// -*- C++ -*-
/*!
 * @file  ClueDataSplit.h for PW
 * @date  $Date$
 *
 * $Id$
 */

#ifndef CLUEDATASPLIT_H
#define CLUEDATASPLIT_H

#include<iostream>
#include<string>

class ClueDataSplit
{
  private:
  // <rtc-template block="private_attribute">
    int Position[4][2];
    std::string PositionData;
    std::string CodeData;
  // </rtc-template>

  // <rtc-template block="private_operation">
    bool PositionDataExtraction(std::string);
  // </rtc-template>

  protected:
  // <rtc-template block="protected_attribute">
  // </rtc-template>

  // <rtc-template block="protected_operation">
  // </rtc-template>

  public:
    ClueDataSplit();
    virtual ~ClueDataSplit();
  // <rtc-template block="public_attribute">
  // </rtc-template>

  // <rtc-template block="public_operation">
    bool SplitData(char *);
    std::string GetCodeData(void);
    unsigned int GetPositionData(int,int);
  // </rtc-template>
};

#endif // CLUEDATASPLIT_H
